/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "itemsApi", "paging",'dateTime'], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            //服务器地址
            serverApi:'http://192.168.31.107:8080',
            //标的物类型
            deptTypeList:[],
            //标的物所在地
            deptLocationList:[],
            //标的物二级所在地
            deptSecondLocationList:[],
            //新闻列表
            itemsInformationList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 20,
            //总页数
            pageCount:0,
            //标的物集合长度
            deptSize:24,
            //标的物选中项id
            deptId:'',
            //标的所在地选中
            secondDeptId:'',
            //标的物类型ID
            projectNumber:'',
            //项目状态
            projectShowStatus:'',
            //报名开始时间
            signupStartTime:'',
            //报名结束时间
            signupStopTime:'',
            //竞价开始时间
            biddingStartTime:'',
            //竞价结束时间
            biddingStopTime:'',
            form:{
                deptId:'',
                projectNumber:'',
                projectShowStatus:'',
                signupStartTime:'',
                signupStopTime:'',
                biddingStartTime:'',
                biddingStopTime:'',
                pageNum:1,
                pageSize:1,
            }
        },
    };
    var tools = new Tools();

    module.init = function (page) {

        if(getQueryVariable('projectCode') || getQueryVariable('projectName') || getQueryVariable('projectNumber')){
            console.log('首页进入')
            tools.doGet(itemsList, {
                deptId:100,
                pageNum:module.data.pageNum,
                pageSize:module.data.pageSize,
                projectCode:getQueryVariable('projectCode'),
                projectName:getQueryVariable('projectName'),
                projectNumber:getQueryVariable('projectNumber')
            }, module.itemList, true);
        }else{
            //新闻资讯
            tools.doGet(itemsList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.itemList, true);
        }

        //标的物类型
        tools.doGet(webDeptType+"/project_type", {}, module.deptType, true);

        //标的物所在地
        tools.doGet(webDept, {deptId:''}, module.deptLocation, true);

        $("#signStartTimeStr").datetime({
            type:"date",
            value:[2019,9,31],
            success:function(res){
                console.log(res)
            }
        })

        $("#signEndTimeStr").datetime({
            type:"date",
            value:[2019,9,31],
            success:function(res){
                console.log(res)
            }
        })

        $("#auctionStartTimeStr").datetime({
            type:"date",
            value:[2019,9,31],
            success:function(res){
                console.log(res)
            }
        })

        $("#endTimeStr").datetime({
            type:"date",
            value:[2019,9,31],
            success:function(res){
                console.log(res)
            }
        })
    };

    //获取地址栏参数
    function getQueryVariable(variable){
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i=0;i<vars.length;i++) {
            var pair = vars[i].split("=");
            if(pair[0] == variable){return pair[1];}
        }
        return(false);
    }

    //挂牌项目列表
    module.itemList = function (data) {
        if (data.code == 200) {
            console.log(data)
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.itemsInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s1');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.itemsInformationList = content;
            var ItemsInformationData = template('ItemsInformationData', module.data);
            $("#ItemsInformationContent").html(ItemsInformationData);
        }
    }

    //标的物类型
    module.deptType = function (data) {
        console.log(data)
        if (data.code == 200) {
            var content = data.data ;
            module.data.deptTypeList = content;
            var deptTypeData = template('deptTypeData', module.data);
            $("#deptTypeContent").html(deptTypeData);
        }
    }

    //标的物所在地
    module.deptLocation = function (data) {
        if (data.code == 200) {
            var content = data.data ;
            module.data.deptLocationList = content;
            var deptLocationData = template('deptLocationData', module.data);
            $("#deptLocationContent").html(deptLocationData);
        }
    }

    //标的物所在地(二级)
    module.deptSecondLocation = function (data) {
        if ( data.data.length == 0){
            document.getElementById('secondDept').style.display = 'none';
            return;
        }else{
            document.getElementById('secondDept').style.display = 'block';
        }
        if (data.code == 200) {
            console.log(data)
            var content = data.data;
            module.data.deptSecondLocationList = content;
            var deptSecondLocationData = template('deptSecondLocationData', module.data);
            $("#secondDept").html(deptSecondLocationData);
            console.log(module.data.deptId)
        }
    }

    tabCheck = function (deptId) {
        module.data.deptId = deptId;
        $('#locInfoall').attr("class","auction_hall_table_tab auction_loc");
        $("#deptLocationContent div").attr("class","auction_hall_table_tab auction_loc");
        if(deptId == ''){
            $('#locInfoall').addClass('auction_hall_table_tab_select');
            document.getElementById('secondDept').style.display = 'none';
        }else{
            $('#locInfoall'+deptId).addClass('auction_hall_table_tab_select');
            tools.doGet(webDept, {deptId:deptId}, module.deptSecondLocation, true);
        }
    }

    secondCheck = function(id,secondDeptId){
        $('#locInfoSecondall').attr("class","auction_hall_table_tab auction_loc");
        $("#secondDept div").attr("class","auction_hall_table_tab auction_loc");
        if(id == '' && secondDeptId == ''){
            $('#locInfoSecondall').addClass('auction_hall_table_tab_select');
        }else{
            $('#locInfoall'+id).addClass('auction_hall_table_tab_select');
            module.data.deptId = secondDeptId;
        }
    }

    allDept = function (){
        module.data.deptSize = 30
        document.getElementById('allDept').innerHTML = "<i class='sanjiao-top'></i>";
        document.getElementById('allDept').onclick = upDept;
        tools.doGet(webDept + '/0', {}, module.deptLocation, true);
    }

    upDept = function (){
        module.data.deptSize = 24
        document.getElementById('allDept').innerHTML = "<i class='sanjiao-bottom'></i>";
        document.getElementById('allDept').onclick = allDept;
        tools.doGet(webDept + '/0', {}, module.deptLocation, true);
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        module.data.form.pageNum = pageNum;
        tools.doGet(itemsList, module.data.form, module.itemList, true);
    }

    typeCheck = function(id,projectNumber){
        module.data.projectNumber = projectNumber;//标的物类型ID
        document.getElementById('standardTypeAll').className = 'auction_hall_table_tab';
        if(id == ''){
            id = 'All';
        }
        for (var i = 0 ; i < module.data.deptTypeList.length ; i++){
            document.getElementById('standardType'+(i+1)).className = 'auction_hall_table_tab';
        }
        document.getElementById('standardType'+id).className = 'auction_hall_table_tab auction_hall_table_tab_select';
    }

    selectedStatus = function(id,projectShowStatus){
        module.data.projectShowStatus = projectShowStatus;
        document.getElementById('statusall').className = 'auction_hall_table_tab'
        for (var i = 0 ; i < 5 ; i++){
            document.getElementById('status'+(1+i)).className = 'auction_hall_table_tab'
        }
        document.getElementById('status'+id).className = 'auction_hall_table_tab auction_hall_table_tab_select'
    }

    goSearch = function(){
        module.data.itemsInformationList = '';
        $('.page_s1').html('')
        $('#page_s1').html('')
        module.data.form.deptId = module.data.deptId;
        module.data.form.projectNumber = module.data.projectNumber;
        module.data.form.projectShowStatus= module.data.projectShowStatus;
        module.data.form.signupStartTime= $('#signStartTimeStr').val();
        module.data.form.signupStopTime= $('#signEndTimeStr').val();
        module.data.form.biddingStartTime= $('#auctionStartTimeStr').val();
        module.data.form.biddingStopTime= $('#endTimeStr').val();
        module.data.form.pageNum= module.data.pageNum;
        module.data.form.pageSize= module.data.pageSize;

        console.log(module.data.form)

        tools.doGet(itemsList, module.data.form, module.itemList, true);
    }
    return module;
});